edu.isi.pegasus.planner.catalog.site.impl.old.classes

## Class GridFTPBandwidth

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.impl.old.classes.GridFTPBandwidth

    public class GridFTPBandwidth
    extends java.lang.Object

This is a data class to store information about gridftp bandwidths between various sites. The class is no longer used, and is there for compilation purposes.

Version:
  $Revision$
Author:
  Saurabh Khurana, Karan Vahi

### Field Summary

Fields
`private java.lang.String` `avg_bandwidth`
`private java.lang.String` `avg_bandwidth_range1`
`private java.lang.String` `avg_bandwidth_range2`
`private java.lang.String` `avg_bandwidth_range3`
`private java.lang.String` `avg_bandwidth_range4`
`static int` `AVG_BW`
`static int` `AVG_BW_RANGE1`
`static int` `AVG_BW_RANGE2`
`static int` `AVG_BW_RANGE3`
`static int` `AVG_BW_RANGE4`
`static int` `DEST_ID`
`private java.lang.String` `dest_subnet_id`
`static java.lang.String[]` `GRIDFTPBANDWIDTHINFO`
`private java.lang.String` `max_bandwidth`
`static int` `MAX_BW`
`private java.lang.String` `min_bandwidth`
`static int` `MIN_BW`

### Constructor Summary

Constructors
Constructor and Description
`GridFTPBandwidth()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getInfo(int gridftpbwkey)` This method gets the info about gridftpbw based on the gridftpbwkey
`void` `setInfo(int gridftpbwkey, java.lang.String gridftpbwvalue)` This method sets the info about gridftpbw based on the gridftpbwkey
`java.lang.String` `toString()`
`java.lang.String` `toXML()` Returns the XML description of the contents of Gridftp object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dest_subnet_id

    private java.lang.String dest_subnet_id

#### avg_bandwidth_range1

    private java.lang.String avg_bandwidth_range1

#### avg_bandwidth_range2

    private java.lang.String avg_bandwidth_range2

#### avg_bandwidth_range3

    private java.lang.String avg_bandwidth_range3

#### avg_bandwidth_range4

    private java.lang.String avg_bandwidth_range4

#### avg_bandwidth

    private java.lang.String avg_bandwidth

#### max_bandwidth

    private java.lang.String max_bandwidth

#### min_bandwidth

    private java.lang.String min_bandwidth

#### GRIDFTPBANDWIDTHINFO

    public static final java.lang.String[] GRIDFTPBANDWIDTHINFO

#### DEST_ID

    public static final int DEST_ID

See Also:
  Constant Field Values

#### AVG_BW_RANGE1

    public static final int AVG_BW_RANGE1

See Also:
  Constant Field Values

#### AVG_BW_RANGE2

    public static final int AVG_BW_RANGE2

See Also:
  Constant Field Values

#### AVG_BW_RANGE3

    public static final int AVG_BW_RANGE3

See Also:
  Constant Field Values

#### AVG_BW_RANGE4

    public static final int AVG_BW_RANGE4

See Also:
  Constant Field Values

#### AVG_BW

    public static final int AVG_BW

See Also:
  Constant Field Values

#### MAX_BW

    public static final int MAX_BW

See Also:
  Constant Field Values

#### MIN_BW

    public static final int MIN_BW

See Also:
  Constant Field Values

### Constructor Detail

#### GridFTPBandwidth

    public GridFTPBandwidth()

### Method Detail

#### setInfo

    public void setInfo(int gridftpbwkey,
                        java.lang.String gridftpbwvalue)
                 throws java.lang.Exception

This method sets the info about gridftpbw based on the gridftpbwkey

Parameters:
  `gridftpbwkey` - the key for indicating the information
  `gridftpbwvalue` - is the information
Throws:
  `java.lang.Exception`

#### getInfo

    public java.lang.String getInfo(int gridftpbwkey)
                             throws java.lang.Exception

This method gets the info about gridftpbw based on the gridftpbwkey

Parameters:
  `gridftpbwkey` - the key for requesting the information
Returns:
  String
Throws:
  `java.lang.Exception`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toXML

    public java.lang.String toXML()

Returns the XML description of the contents of Gridftp object.

Returns:
  the xml description.